package com.elephant.framework.galaxy.aroad.bigdata;
/**
* @Description: 隧道明细表（包含 经纬度坐标）
* @Param:
* @return:
* @Author: dongjili
* @Date: 2019/5/27 0027
*/
public class Basetunnelalldata {
    private String id;//
    private String suidaomingcheng;//隧道名称

    private String suidaodaima;//隧道代码

    private String zhongxinzhuanghao;//中心桩号

    private String luxianbianma;//路线编码

    private String luxianmingcheng;//路线名称

    private String jishudengji;//技术等级

    private String changdu;//长度

    private String jingkuan;//净宽

    private String jinggao;//净高

    private String changdufenleidaima;//长度分类代码

    private String fenleimingcheng;//分类名称

    private String shuixiasuidao;//水下隧道

    private String xiujianniandu;//修建年度

    private String jianshedanwei;//建设单位

    private String shejidanwei;//设计单位

    private String shigongdanwei;//施工单位

    private String jianlidanwei;//监理单位

    private String tongcheshijian;//通车时间

    private String shuidaoyanghudengji;//隧道养护等级

    private String guanyangdanweixingzhi;//管养单位性质

    private String guanyangdanweimingcheng;//管养单位名称

    private String jianguandanwei;//监管单位

    private String pingdingdengji;//评定等级

    private String pingdingriqi;//评定日期

    private String pingdingdanwei;//评定单位

    private String pingdingdengjitujian;//评定等级（土建）

    private String pingdingriqitujian;//评定日期（土建）

    private String pingdingdanweitujian;//评定单位（土建）

    private String pingdingdengjijidian;//评定等级（机电）

    private String pingdingriqijidian;//评定日期（机电）

    private String pingdingdanweijidian;//评定单位（机电）

    private String pingdingdengjiqita;//评定等级（其他）

    private String pingdingriqiqita;//评定日期（其他）

    private String pingdingdanweiqita;//评定单位（其他）

    private String gaijianniandu;//改建年度

    private String wangongriqi;//完工日期

    private String gaizaibuwei;//改造部位

    private String gongchengxingzhi;//工程性质

    private String binghaibuwei;//病害部位

    private String binghaimiaoshu;//病害描述

    private String xianjizhengqudaima;//县级政区代码

    private String shifouzaizhangdasuidaomuluzhong;//是否在长大隧道目录中

    private String beizhu;//备注

    private String shape;//经纬度

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getSuidaomingcheng() {
        return suidaomingcheng;
    }

    public void setSuidaomingcheng(String suidaomingcheng) {
        this.suidaomingcheng = suidaomingcheng == null ? null : suidaomingcheng.trim();
    }

    public String getSuidaodaima() {
        return suidaodaima;
    }

    public void setSuidaodaima(String suidaodaima) {
        this.suidaodaima = suidaodaima == null ? null : suidaodaima.trim();
    }

    public String getZhongxinzhuanghao() {
        return zhongxinzhuanghao;
    }

    public void setZhongxinzhuanghao(String zhongxinzhuanghao) {
        this.zhongxinzhuanghao = zhongxinzhuanghao == null ? null : zhongxinzhuanghao.trim();
    }

    public String getLuxianbianma() {
        return luxianbianma;
    }

    public void setLuxianbianma(String luxianbianma) {
        this.luxianbianma = luxianbianma == null ? null : luxianbianma.trim();
    }

    public String getLuxianmingcheng() {
        return luxianmingcheng;
    }

    public void setLuxianmingcheng(String luxianmingcheng) {
        this.luxianmingcheng = luxianmingcheng == null ? null : luxianmingcheng.trim();
    }

    public String getJishudengji() {
        return jishudengji;
    }

    public void setJishudengji(String jishudengji) {
        this.jishudengji = jishudengji == null ? null : jishudengji.trim();
    }

    public String getChangdu() {
        return changdu;
    }

    public void setChangdu(String changdu) {
        this.changdu = changdu == null ? null : changdu.trim();
    }

    public String getJingkuan() {
        return jingkuan;
    }

    public void setJingkuan(String jingkuan) {
        this.jingkuan = jingkuan == null ? null : jingkuan.trim();
    }

    public String getJinggao() {
        return jinggao;
    }

    public void setJinggao(String jinggao) {
        this.jinggao = jinggao == null ? null : jinggao.trim();
    }

    public String getChangdufenleidaima() {
        return changdufenleidaima;
    }

    public void setChangdufenleidaima(String changdufenleidaima) {
        this.changdufenleidaima = changdufenleidaima == null ? null : changdufenleidaima.trim();
    }

    public String getFenleimingcheng() {
        return fenleimingcheng;
    }

    public void setFenleimingcheng(String fenleimingcheng) {
        this.fenleimingcheng = fenleimingcheng == null ? null : fenleimingcheng.trim();
    }

    public String getShuixiasuidao() {
        return shuixiasuidao;
    }

    public void setShuixiasuidao(String shuixiasuidao) {
        this.shuixiasuidao = shuixiasuidao == null ? null : shuixiasuidao.trim();
    }

    public String getXiujianniandu() {
        return xiujianniandu;
    }

    public void setXiujianniandu(String xiujianniandu) {
        this.xiujianniandu = xiujianniandu == null ? null : xiujianniandu.trim();
    }

    public String getJianshedanwei() {
        return jianshedanwei;
    }

    public void setJianshedanwei(String jianshedanwei) {
        this.jianshedanwei = jianshedanwei == null ? null : jianshedanwei.trim();
    }

    public String getShejidanwei() {
        return shejidanwei;
    }

    public void setShejidanwei(String shejidanwei) {
        this.shejidanwei = shejidanwei == null ? null : shejidanwei.trim();
    }

    public String getShigongdanwei() {
        return shigongdanwei;
    }

    public void setShigongdanwei(String shigongdanwei) {
        this.shigongdanwei = shigongdanwei == null ? null : shigongdanwei.trim();
    }

    public String getJianlidanwei() {
        return jianlidanwei;
    }

    public void setJianlidanwei(String jianlidanwei) {
        this.jianlidanwei = jianlidanwei == null ? null : jianlidanwei.trim();
    }

    public String getTongcheshijian() {
        return tongcheshijian;
    }

    public void setTongcheshijian(String tongcheshijian) {
        this.tongcheshijian = tongcheshijian == null ? null : tongcheshijian.trim();
    }

    public String getShuidaoyanghudengji() {
        return shuidaoyanghudengji;
    }

    public void setShuidaoyanghudengji(String shuidaoyanghudengji) {
        this.shuidaoyanghudengji = shuidaoyanghudengji == null ? null : shuidaoyanghudengji.trim();
    }

    public String getGuanyangdanweixingzhi() {
        return guanyangdanweixingzhi;
    }

    public void setGuanyangdanweixingzhi(String guanyangdanweixingzhi) {
        this.guanyangdanweixingzhi = guanyangdanweixingzhi == null ? null : guanyangdanweixingzhi.trim();
    }

    public String getGuanyangdanweimingcheng() {
        return guanyangdanweimingcheng;
    }

    public void setGuanyangdanweimingcheng(String guanyangdanweimingcheng) {
        this.guanyangdanweimingcheng = guanyangdanweimingcheng == null ? null : guanyangdanweimingcheng.trim();
    }

    public String getJianguandanwei() {
        return jianguandanwei;
    }

    public void setJianguandanwei(String jianguandanwei) {
        this.jianguandanwei = jianguandanwei == null ? null : jianguandanwei.trim();
    }

    public String getPingdingdengji() {
        return pingdingdengji;
    }

    public void setPingdingdengji(String pingdingdengji) {
        this.pingdingdengji = pingdingdengji == null ? null : pingdingdengji.trim();
    }

    public String getPingdingriqi() {
        return pingdingriqi;
    }

    public void setPingdingriqi(String pingdingriqi) {
        this.pingdingriqi = pingdingriqi == null ? null : pingdingriqi.trim();
    }

    public String getPingdingdanwei() {
        return pingdingdanwei;
    }

    public void setPingdingdanwei(String pingdingdanwei) {
        this.pingdingdanwei = pingdingdanwei == null ? null : pingdingdanwei.trim();
    }

    public String getPingdingdengjitujian() {
        return pingdingdengjitujian;
    }

    public void setPingdingdengjitujian(String pingdingdengjitujian) {
        this.pingdingdengjitujian = pingdingdengjitujian == null ? null : pingdingdengjitujian.trim();
    }

    public String getPingdingriqitujian() {
        return pingdingriqitujian;
    }

    public void setPingdingriqitujian(String pingdingriqitujian) {
        this.pingdingriqitujian = pingdingriqitujian == null ? null : pingdingriqitujian.trim();
    }

    public String getPingdingdanweitujian() {
        return pingdingdanweitujian;
    }

    public void setPingdingdanweitujian(String pingdingdanweitujian) {
        this.pingdingdanweitujian = pingdingdanweitujian == null ? null : pingdingdanweitujian.trim();
    }

    public String getPingdingdengjijidian() {
        return pingdingdengjijidian;
    }

    public void setPingdingdengjijidian(String pingdingdengjijidian) {
        this.pingdingdengjijidian = pingdingdengjijidian == null ? null : pingdingdengjijidian.trim();
    }

    public String getPingdingriqijidian() {
        return pingdingriqijidian;
    }

    public void setPingdingriqijidian(String pingdingriqijidian) {
        this.pingdingriqijidian = pingdingriqijidian == null ? null : pingdingriqijidian.trim();
    }

    public String getPingdingdanweijidian() {
        return pingdingdanweijidian;
    }

    public void setPingdingdanweijidian(String pingdingdanweijidian) {
        this.pingdingdanweijidian = pingdingdanweijidian == null ? null : pingdingdanweijidian.trim();
    }

    public String getPingdingdengjiqita() {
        return pingdingdengjiqita;
    }

    public void setPingdingdengjiqita(String pingdingdengjiqita) {
        this.pingdingdengjiqita = pingdingdengjiqita == null ? null : pingdingdengjiqita.trim();
    }

    public String getPingdingriqiqita() {
        return pingdingriqiqita;
    }

    public void setPingdingriqiqita(String pingdingriqiqita) {
        this.pingdingriqiqita = pingdingriqiqita == null ? null : pingdingriqiqita.trim();
    }

    public String getPingdingdanweiqita() {
        return pingdingdanweiqita;
    }

    public void setPingdingdanweiqita(String pingdingdanweiqita) {
        this.pingdingdanweiqita = pingdingdanweiqita == null ? null : pingdingdanweiqita.trim();
    }

    public String getGaijianniandu() {
        return gaijianniandu;
    }

    public void setGaijianniandu(String gaijianniandu) {
        this.gaijianniandu = gaijianniandu == null ? null : gaijianniandu.trim();
    }

    public String getWangongriqi() {
        return wangongriqi;
    }

    public void setWangongriqi(String wangongriqi) {
        this.wangongriqi = wangongriqi == null ? null : wangongriqi.trim();
    }

    public String getGaizaibuwei() {
        return gaizaibuwei;
    }

    public void setGaizaibuwei(String gaizaibuwei) {
        this.gaizaibuwei = gaizaibuwei == null ? null : gaizaibuwei.trim();
    }

    public String getGongchengxingzhi() {
        return gongchengxingzhi;
    }

    public void setGongchengxingzhi(String gongchengxingzhi) {
        this.gongchengxingzhi = gongchengxingzhi == null ? null : gongchengxingzhi.trim();
    }

    public String getBinghaibuwei() {
        return binghaibuwei;
    }

    public void setBinghaibuwei(String binghaibuwei) {
        this.binghaibuwei = binghaibuwei == null ? null : binghaibuwei.trim();
    }

    public String getBinghaimiaoshu() {
        return binghaimiaoshu;
    }

    public void setBinghaimiaoshu(String binghaimiaoshu) {
        this.binghaimiaoshu = binghaimiaoshu == null ? null : binghaimiaoshu.trim();
    }

    public String getXianjizhengqudaima() {
        return xianjizhengqudaima;
    }

    public void setXianjizhengqudaima(String xianjizhengqudaima) {
        this.xianjizhengqudaima = xianjizhengqudaima == null ? null : xianjizhengqudaima.trim();
    }

    public String getShifouzaizhangdasuidaomuluzhong() {
        return shifouzaizhangdasuidaomuluzhong;
    }

    public void setShifouzaizhangdasuidaomuluzhong(String shifouzaizhangdasuidaomuluzhong) {
        this.shifouzaizhangdasuidaomuluzhong = shifouzaizhangdasuidaomuluzhong == null ? null : shifouzaizhangdasuidaomuluzhong.trim();
    }

    public String getBeizhu() {
        return beizhu;
    }

    public void setBeizhu(String beizhu) {
        this.beizhu = beizhu == null ? null : beizhu.trim();
    }

    public String getShape() {
        return shape;
    }

    public void setShape(String shape) {
        this.shape = shape == null ? null : shape.trim();
    }

    @Override
    public String toString() {
        return "Basetunnelalldata{" +
                "id='" + id + '\'' +
                ", suidaomingcheng='" + suidaomingcheng + '\'' +
                ", suidaodaima='" + suidaodaima + '\'' +
                ", zhongxinzhuanghao='" + zhongxinzhuanghao + '\'' +
                ", luxianbianma='" + luxianbianma + '\'' +
                ", luxianmingcheng='" + luxianmingcheng + '\'' +
                ", jishudengji='" + jishudengji + '\'' +
                ", changdu='" + changdu + '\'' +
                ", jingkuan='" + jingkuan + '\'' +
                ", jinggao='" + jinggao + '\'' +
                ", changdufenleidaima='" + changdufenleidaima + '\'' +
                ", fenleimingcheng='" + fenleimingcheng + '\'' +
                ", shuixiasuidao='" + shuixiasuidao + '\'' +
                ", xiujianniandu='" + xiujianniandu + '\'' +
                ", jianshedanwei='" + jianshedanwei + '\'' +
                ", shejidanwei='" + shejidanwei + '\'' +
                ", shigongdanwei='" + shigongdanwei + '\'' +
                ", jianlidanwei='" + jianlidanwei + '\'' +
                ", tongcheshijian='" + tongcheshijian + '\'' +
                ", shuidaoyanghudengji='" + shuidaoyanghudengji + '\'' +
                ", guanyangdanweixingzhi='" + guanyangdanweixingzhi + '\'' +
                ", guanyangdanweimingcheng='" + guanyangdanweimingcheng + '\'' +
                ", jianguandanwei='" + jianguandanwei + '\'' +
                ", pingdingdengji='" + pingdingdengji + '\'' +
                ", pingdingriqi='" + pingdingriqi + '\'' +
                ", pingdingdanwei='" + pingdingdanwei + '\'' +
                ", pingdingdengjitujian='" + pingdingdengjitujian + '\'' +
                ", pingdingriqitujian='" + pingdingriqitujian + '\'' +
                ", pingdingdanweitujian='" + pingdingdanweitujian + '\'' +
                ", pingdingdengjijidian='" + pingdingdengjijidian + '\'' +
                ", pingdingriqijidian='" + pingdingriqijidian + '\'' +
                ", pingdingdanweijidian='" + pingdingdanweijidian + '\'' +
                ", pingdingdengjiqita='" + pingdingdengjiqita + '\'' +
                ", pingdingriqiqita='" + pingdingriqiqita + '\'' +
                ", pingdingdanweiqita='" + pingdingdanweiqita + '\'' +
                ", gaijianniandu='" + gaijianniandu + '\'' +
                ", wangongriqi='" + wangongriqi + '\'' +
                ", gaizaibuwei='" + gaizaibuwei + '\'' +
                ", gongchengxingzhi='" + gongchengxingzhi + '\'' +
                ", binghaibuwei='" + binghaibuwei + '\'' +
                ", binghaimiaoshu='" + binghaimiaoshu + '\'' +
                ", xianjizhengqudaima='" + xianjizhengqudaima + '\'' +
                ", shifouzaizhangdasuidaomuluzhong='" + shifouzaizhangdasuidaomuluzhong + '\'' +
                ", beizhu='" + beizhu + '\'' +
                ", shape='" + shape + '\'' +
                '}';
    }
}